%global momorel 2
%global modname String-CRC32

Summary: String-CRC32 - perl module to generate checksums from strings and from files.
Name: perl-String-CRC32
Version: 1.4
Release: %{momorel}m%{?dist}
%NoSource 0 http://www.cpan.org/modules/by-module/String/%{modname}-%{version}.tar.gz 9b241bc4a482a3aa59fbb1429bc30546
License: GPL
URL: http://www.cpan.org/modules/by-module/String/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Group: Development/Languages
BuildPrereq: perl >= 5.8.7

%description
The checksums are the same as those calculated by ZMODEM, PKZIP, PICCHECK
and many others.
There's another perl module called String::CRC which allows to calculate
not only 32 bit CRC numbers, but the generated sums differ from those of
the programs mentioned above.

%prep
%setup -q -n %{modname}-%{version}

%build
CFLAGS="%optflags" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{perl_vendorarch}/auto/String/CRC32/.packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc MANIFEST README
%dir %{perl_vendorarch}/String
%dir %{perl_vendorarch}/auto/String/CRC32
%{perl_vendorarch}/String/CRC32.*
%{perl_vendorarch}/auto/String/CRC32/*
%{_mandir}/man3/*

%changelog
* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.4-2m)
- use vendor

* Sun May 07 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.4-1m)
- update to 1.4

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.3-3m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (1.3-2m)
- remove unwanted file (.packlist)

* Sun Dec 11 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (1.3-1m)
- initial import to Momonga Linux
